# Generated by Django 3.1.3 on 2021-01-04 20:40

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0082_custom_bookingyear_to_anualplan'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='request',
            name='booking_year',
        ),
        migrations.AddField(
            model_name='internalbooking',
            name='status',
            field=models.CharField(choices=[('new', 'Neu'), ('done', 'Erledigt'), ('sap_done', 'SAP verbucht'), ('cancelled', 'Storniert')], default='new', max_length=64, verbose_name='Status (nur intern)'),
        ),
        migrations.AlterField(
            model_name='internalbooking',
            name='anual_plan',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='core.anualplan', verbose_name='Haushaltsplan'),
        ),
        migrations.AlterField(
            model_name='internalbooking',
            name='booking_date',
            field=models.DateField(blank=True, null=True, verbose_name='Buchungsdatum'),
        ),
        migrations.AlterField(
            model_name='internalbooking',
            name='name',
            field=models.CharField(max_length=255, verbose_name='Name/Titel'),
        ),
        migrations.AlterField(
            model_name='internalbooking',
            name='requester',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='core.requester', verbose_name='Interner Empfänger'),
        ),
        migrations.AlterField(
            model_name='issuedinvoice',
            name='anual_plan',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='core.anualplan', verbose_name='Haushaltsplan'),
        ),
        migrations.AlterField(
            model_name='issuedinvoice',
            name='internal_booking_number',
            field=models.CharField(max_length=255, verbose_name='Interne Buchungsnummer'),
        ),
        migrations.AlterField(
            model_name='receivedinvoice',
            name='anual_plan',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='core.anualplan', verbose_name='Haushaltsplan'),
        ),
        migrations.AlterField(
            model_name='receivedinvoice',
            name='internal_booking_number',
            field=models.CharField(max_length=255, verbose_name='Interne Buchungsnummer'),
        ),
        migrations.AlterField(
            model_name='request',
            name='anual_plan',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='core.anualplan', verbose_name='Haushaltsplan'),
        ),
        migrations.AlterUniqueTogether(
            name='internalbooking',
            unique_together={('anual_plan', 'internal_booking_number')},
        ),
        migrations.AlterUniqueTogether(
            name='issuedinvoice',
            unique_together={('anual_plan', 'internal_booking_number')},
        ),
        migrations.AlterUniqueTogether(
            name='receivedinvoice',
            unique_together={('anual_plan', 'internal_booking_number'), ('vendor', 'vendor_invoice_number')},
        ),
        migrations.RemoveField(
            model_name='internalbooking',
            name='booking_year',
        ),
        migrations.RemoveField(
            model_name='issuedinvoice',
            name='booking_year',
        ),
        migrations.RemoveField(
            model_name='issuedinvoice',
            name='fi_number',
        ),
        migrations.RemoveField(
            model_name='receivedinvoice',
            name='booking_year',
        ),
        migrations.RemoveField(
            model_name='receivedinvoice',
            name='fi_number',
        ),
    ]
